Create Account File (stream)

Upload a file to an account using multipart/form-data **Note:** The `/clients` path is an alias for `/accounts` and will continue to work until users are individually notified and migrated. **File size limit:** Files uploaded through this endpoint are currently capped at **6 MB**. For larger files, upload the file to your own storage using a pre-signed URL and create the file record with **`POST /accounts/{account_id}/files`**, passing the file's URL instead of streaming the bytes.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

account_idstringRequired

Query parameters

namestringOptional
Optional file name to store
content_typestringOptional
Optional MIME type to associate with the file
phase_instance_idintegerOptional
Optional phase instance id to associate with the file

Request

This endpoint expects a multipart form containing a file.
filefileRequired

Response

Successful response
idinteger
File identifier
namestring
File name
downloadUrlstring
URL to download the file
metaDataobject

Errors

400
Bad Request Error
404
Not Found Error
500
Internal Server Error